diff --git a/bin/varnishd/cache/cache_backend_probe.c b/bin/varnishd/cache/cache_backend_probe.c
index f632af8658..9ed6e515cd 100644
--- a/bin/varnishd/cache/cache_backend_probe.c
+++ b/bin/varnishd/cache/cache_backend_probe.c
@@ -439,6 +439,7 @@ vbp_task(struct worker *wrk, void *priv)
 			vt->due = VTIM_real() + vt->interval;
 			binheap_delete(vbp_heap, vt->heap_idx);
 			binheap_insert(vbp_heap, vt);
+			AZ(pthread_cond_signal(&vbp_cond));
 		}
 	}
 	Lck_Unlock(&vbp_mtx);
